/*jslint node: true, unparam: true */
/*global define, controller */

define(['../../../libs/angular/js/angular', 'app'], function (angular, app) {
    'use strict';

    app.directive('doCompile', ['$compile', function ($compile) {
        return function (scope, element, attrs) {
            var selectedScope = attrs.doCompile && scope.$eval(attrs.doCompile);
            if (!element.hasClass('compiled')) {
                element.addClass('compiled');
                compile(element.contents())(selectedScope || scope);
            }
        };
    }]);

});