/*jslint node: true */
/*global define */

define(['app',
    'NAONController',
    'ResourcesConstants'
], function (app, NAONController, ResourcesConstants) {
    "use strict";

    app.config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('main.naon', {
                url: '/naon',
                templateUrl: 'src/modules/naon/pages/naon_template.html',
                controller: 'NAONController',
                appNavIndex: 4,
                data: {
                    appletName: "National Association of Orthopedic Nurses' Algorithms/Clinical Tools",
                    headerTitle: "Safe Patient Handling"
                }
            });
    });
});
