/*jslint node: true */
/*global define */

define(['app',
    'AORNController',
    'ResourcesConstants'
], function (app, AORNController, ResourcesConstants) {
    "use strict";

    app.config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('main.aorn', {
                url: '/aorn',
                templateUrl: 'src/modules/aorn/pages/aorn_template.html',
                controller: 'AORNController',
                appNavIndex: 5,
                data: {
                    appletName: "Association of PeriOperative Registered Nurses' Algorithms",
                    headerTitle: "Safe Patient Handling"
                }
            });
    });
});
