/*jslint node: true */
/*globals define */

define(['angular', 'app'], function (angular, app) {
    "use strict";
    app.service('AssessmentInstanceBuilder', function (AssessmentService) {
        var InstanceBuilder = {},
            instances = {};

        InstanceBuilder.getInstance = function (id) {
            id = id || 'default';
            if (instances[id]) return instances[id];
            return (instances[id] = new AssessmentService());
        };

        return InstanceBuilder;
    });
});