/*jslint node: true, unparam: true */
/*global constant: true */

define([
    'angular',
    'app',
    'text!modules/cpaa/core/constants/cpaaQuestions.json',

    'text!modules/cpaa/core/constants/algorithm-1/algorithm_1_notes.html',
    'text!modules/cpaa/core/constants/algorithm-1/algorithm_1_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-1/algorithm_1_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-1/algorithm_1_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-1/algorithm_1_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-2/algorithm_2_notes.html',
    'text!modules/cpaa/core/constants/algorithm-2/algorithm_2_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-2/algorithm_2_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-2/algorithm_2_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-3/algorithm_3_notes.html',
    'text!modules/cpaa/core/constants/algorithm-3/algorithm_3_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-3/algorithm_3_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-3/algorithm_3_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-4/algorithm_4_notes.html',
    'text!modules/cpaa/core/constants/algorithm-4/algorithm_4_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-4/algorithm_4_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-4/algorithm_4_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-4/algorithm_4_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-5/algorithm_5_notes.html',
    'text!modules/cpaa/core/constants/algorithm-5/algorithm_5_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-5/algorithm_5_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-5/algorithm_5_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-5/algorithm_5_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-6/algorithm_6_notes.html',
    'text!modules/cpaa/core/constants/algorithm-6/algorithm_6_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-6/algorithm_6_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-6/algorithm_6_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-6/algorithm_6_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-7/algorithm_7_notes.html',
    'text!modules/cpaa/core/constants/algorithm-7/algorithm_7_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-7/algorithm_7_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-7/algorithm_7_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-7/algorithm_7_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-8/algorithm_8_notes.html',
    'text!modules/cpaa/core/constants/algorithm-8/algorithm_8_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-8/algorithm_8_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-8/algorithm_8_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-8/algorithm_8_recommendation_3.html',
    'text!modules/cpaa/core/constants/algorithm-8/algorithm_8_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-9/algorithm_9_notes.html',
    'text!modules/cpaa/core/constants/algorithm-9/algorithm_9_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-9/algorithm_9_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-9/algorithm_9_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-9/algorithm_9_recommendation_3.html',
    'text!modules/cpaa/core/constants/algorithm-9/algorithm_9_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_notes.html',
    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_recommendation_2.html',
    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_recommendation_3.html',
    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_recommendation_4.html',
    'text!modules/cpaa/core/constants/algorithm-10/algorithm_10_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-11/algorithm_11_notes.html',
    'text!modules/cpaa/core/constants/algorithm-11/algorithm_11_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-11/algorithm_11_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-11/algorithm_11_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-12/algorithm_12_notes.html',
    'text!modules/cpaa/core/constants/algorithm-12/algorithm_12_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-12/algorithm_12_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-12/algorithm_12_equipment_0.html',

    'text!modules/cpaa/core/constants/algorithm-13/algorithm_13_notes.html',
    'text!modules/cpaa/core/constants/algorithm-13/algorithm_13_recommendation_0.html',
    'text!modules/cpaa/core/constants/algorithm-13/algorithm_13_recommendation_1.html',
    'text!modules/cpaa/core/constants/algorithm-13/algorithm_13_equipment_0.html'
], function (angular,
             app,
             incomingCpaaQuestions,
             incomingCpaaAlgorithm_1_notes,
             incomingCpaaAlgorithm_1_recommendation_0,
             incomingCpaaAlgorithm_1_recommendation_1,
             incomingCpaaAlgorithm_1_recommendation_2,
             incomingCpaaAlgorithm_1_equipment_0,

             incomingCpaaAlgorithm_2_notes,
             incomingCpaaAlgorithm_2_recommendation_0,
             incomingCpaaAlgorithm_2_recommendation_1,
             incomingCpaaAlgorithm_2_equipment_0,

             incomingCpaaAlgorithm_3_notes,
             incomingCpaaAlgorithm_3_recommendation_0,
             incomingCpaaAlgorithm_3_recommendation_1,
             incomingCpaaAlgorithm_3_equipment_0,

             incomingCpaaAlgorithm_4_notes,
             incomingCpaaAlgorithm_4_recommendation_0,
             incomingCpaaAlgorithm_4_recommendation_1,
             incomingCpaaAlgorithm_4_recommendation_2,
             incomingCpaaAlgorithm_4_equipment_0,

             incomingCpaaAlgorithm_5_notes,
             incomingCpaaAlgorithm_5_recommendation_0,
             incomingCpaaAlgorithm_5_recommendation_1,
             incomingCpaaAlgorithm_5_recommendation_2,
             incomingCpaaAlgorithm_5_equipment_0,

             incomingCpaaAlgorithm_6_notes,
             incomingCpaaAlgorithm_6_recommendation_0,
             incomingCpaaAlgorithm_6_recommendation_1,
             incomingCpaaAlgorithm_6_recommendation_2,
             incomingCpaaAlgorithm_6_equipment_0,

             incomingCpaaAlgorithm_7_notes,
             incomingCpaaAlgorithm_7_recommendation_0,
             incomingCpaaAlgorithm_7_recommendation_1,
             incomingCpaaAlgorithm_7_recommendation_2,
             incomingCpaaAlgorithm_7_equipment_0,

             incomingCpaaAlgorithm_8_notes,
             incomingCpaaAlgorithm_8_recommendation_0,
             incomingCpaaAlgorithm_8_recommendation_1,
             incomingCpaaAlgorithm_8_recommendation_2,
             incomingCpaaAlgorithm_8_recommendation_3,
             incomingCpaaAlgorithm_8_equipment_0,

             incomingCpaaAlgorithm_9_notes,
             incomingCpaaAlgorithm_9_recommendation_0,
             incomingCpaaAlgorithm_9_recommendation_1,
             incomingCpaaAlgorithm_9_recommendation_2,
             incomingCpaaAlgorithm_9_recommendation_3,
             incomingCpaaAlgorithm_9_equipment_0,

             incomingCpaaAlgorithm_10_notes,
             incomingCpaaAlgorithm_10_recommendation_0,
             incomingCpaaAlgorithm_10_recommendation_1,
             incomingCpaaAlgorithm_10_recommendation_2,
             incomingCpaaAlgorithm_10_recommendation_3,
             incomingCpaaAlgorithm_10_recommendation_4,
             incomingCpaaAlgorithm_10_equipment_0,

             incomingCpaaAlgorithm_11_notes,
             incomingCpaaAlgorithm_11_recommendation_0,
             incomingCpaaAlgorithm_11_recommendation_1,
             incomingCpaaAlgorithm_11_equipment_0,

             incomingCpaaAlgorithm_12_notes,
             incomingCpaaAlgorithm_12_recommendation_0,
             incomingCpaaAlgorithm_12_recommendation_1,
             incomingCpaaAlgorithm_12_equipment_0,

             incomingCpaaAlgorithm_13_notes,
             incomingCpaaAlgorithm_13_recommendation_0,
             incomingCpaaAlgorithm_13_recommendation_1,
             incomingCpaaAlgorithm_13_equipment_0) {
    'use strict';

    var cpaaQuestions                       = JSON.parse(incomingCpaaQuestions),
        cpaaAlgorithm_1_notes               = incomingCpaaAlgorithm_1_notes.toString(),
        cpaaAlgorithm_1_recommendation_0    = incomingCpaaAlgorithm_1_recommendation_0.toString(),
        cpaaAlgorithm_1_recommendation_1    = incomingCpaaAlgorithm_1_recommendation_1.toString(),
        cpaaAlgorithm_1_recommendation_2    = incomingCpaaAlgorithm_1_recommendation_2.toString(),
        cpaaAlgorithm_1_equipment_0         = incomingCpaaAlgorithm_1_equipment_0.toString(),

        cpaaAlgorithm_2_notes               = incomingCpaaAlgorithm_2_notes.toString(),
        cpaaAlgorithm_2_recommendation_0    = incomingCpaaAlgorithm_2_recommendation_0.toString(),
        cpaaAlgorithm_2_recommendation_1    = incomingCpaaAlgorithm_2_recommendation_1.toString(),
        cpaaAlgorithm_2_equipment_0         = incomingCpaaAlgorithm_2_equipment_0.toString(),

        cpaaAlgorithm_3_notes               = incomingCpaaAlgorithm_3_notes.toString(),
        cpaaAlgorithm_3_recommendation_0    = incomingCpaaAlgorithm_3_recommendation_0.toString(),
        cpaaAlgorithm_3_recommendation_1    = incomingCpaaAlgorithm_3_recommendation_1.toString(),
        cpaaAlgorithm_3_equipment_0         = incomingCpaaAlgorithm_3_equipment_0.toString(),

        cpaaAlgorithm_4_notes               = incomingCpaaAlgorithm_4_notes.toString(),
        cpaaAlgorithm_4_recommendation_0    = incomingCpaaAlgorithm_4_recommendation_0.toString(),
        cpaaAlgorithm_4_recommendation_1    = incomingCpaaAlgorithm_4_recommendation_1.toString(),
        cpaaAlgorithm_4_recommendation_2    = incomingCpaaAlgorithm_4_recommendation_2.toString(),
        cpaaAlgorithm_4_equipment_0         = incomingCpaaAlgorithm_4_equipment_0.toString(),

        cpaaAlgorithm_5_notes               = incomingCpaaAlgorithm_5_notes.toString(),
        cpaaAlgorithm_5_recommendation_0    = incomingCpaaAlgorithm_5_recommendation_0.toString(),
        cpaaAlgorithm_5_recommendation_1    = incomingCpaaAlgorithm_5_recommendation_1.toString(),
        cpaaAlgorithm_5_recommendation_2    = incomingCpaaAlgorithm_5_recommendation_2.toString(),
        cpaaAlgorithm_5_equipment_0         = incomingCpaaAlgorithm_5_equipment_0.toString(),

        cpaaAlgorithm_6_notes               = incomingCpaaAlgorithm_6_notes.toString(),
        cpaaAlgorithm_6_recommendation_0    = incomingCpaaAlgorithm_6_recommendation_0.toString(),
        cpaaAlgorithm_6_recommendation_1    = incomingCpaaAlgorithm_6_recommendation_1.toString(),
        cpaaAlgorithm_6_recommendation_2    = incomingCpaaAlgorithm_6_recommendation_2.toString(),
        cpaaAlgorithm_6_equipment_0         = incomingCpaaAlgorithm_6_equipment_0.toString(),

        cpaaAlgorithm_7_notes               = incomingCpaaAlgorithm_7_notes.toString(),
        cpaaAlgorithm_7_recommendation_0    = incomingCpaaAlgorithm_7_recommendation_0.toString(),
        cpaaAlgorithm_7_recommendation_1    = incomingCpaaAlgorithm_7_recommendation_1.toString(),
        cpaaAlgorithm_7_recommendation_2    = incomingCpaaAlgorithm_7_recommendation_2.toString(),
        cpaaAlgorithm_7_equipment_0         = incomingCpaaAlgorithm_7_equipment_0.toString(),

        cpaaAlgorithm_8_notes               = incomingCpaaAlgorithm_8_notes.toString(),
        cpaaAlgorithm_8_recommendation_0    = incomingCpaaAlgorithm_8_recommendation_0.toString(),
        cpaaAlgorithm_8_recommendation_1    = incomingCpaaAlgorithm_8_recommendation_1.toString(),
        cpaaAlgorithm_8_recommendation_2    = incomingCpaaAlgorithm_8_recommendation_2.toString(),
        cpaaAlgorithm_8_recommendation_3    = incomingCpaaAlgorithm_8_recommendation_3.toString(),
        cpaaAlgorithm_8_equipment_0         = incomingCpaaAlgorithm_8_equipment_0.toString(),

        cpaaAlgorithm_9_notes               = incomingCpaaAlgorithm_9_notes.toString(),
        cpaaAlgorithm_9_recommendation_0    = incomingCpaaAlgorithm_9_recommendation_0.toString(),
        cpaaAlgorithm_9_recommendation_1    = incomingCpaaAlgorithm_9_recommendation_1.toString(),
        cpaaAlgorithm_9_recommendation_2    = incomingCpaaAlgorithm_9_recommendation_2.toString(),
        cpaaAlgorithm_9_recommendation_3    = incomingCpaaAlgorithm_9_recommendation_3.toString(),
        cpaaAlgorithm_9_equipment_0         = incomingCpaaAlgorithm_9_equipment_0.toString(),

        cpaaAlgorithm_10_notes               = incomingCpaaAlgorithm_10_notes.toString(),
        cpaaAlgorithm_10_recommendation_0    = incomingCpaaAlgorithm_10_recommendation_0.toString(),
        cpaaAlgorithm_10_recommendation_1    = incomingCpaaAlgorithm_10_recommendation_1.toString(),
        cpaaAlgorithm_10_recommendation_2    = incomingCpaaAlgorithm_10_recommendation_2.toString(),
        cpaaAlgorithm_10_recommendation_3    = incomingCpaaAlgorithm_10_recommendation_3.toString(),
        cpaaAlgorithm_10_recommendation_4    = incomingCpaaAlgorithm_10_recommendation_4.toString(),
        cpaaAlgorithm_10_equipment_0         = incomingCpaaAlgorithm_10_equipment_0.toString(),

        cpaaAlgorithm_11_notes               = incomingCpaaAlgorithm_11_notes.toString(),
        cpaaAlgorithm_11_recommendation_0    = incomingCpaaAlgorithm_11_recommendation_0.toString(),
        cpaaAlgorithm_11_recommendation_1    = incomingCpaaAlgorithm_11_recommendation_1.toString(),
        cpaaAlgorithm_11_equipment_0         = incomingCpaaAlgorithm_11_equipment_0.toString(),

        cpaaAlgorithm_12_notes               = incomingCpaaAlgorithm_12_notes.toString(),
        cpaaAlgorithm_12_recommendation_0    = incomingCpaaAlgorithm_12_recommendation_0.toString(),
        cpaaAlgorithm_12_recommendation_1    = incomingCpaaAlgorithm_12_recommendation_1.toString(),
        cpaaAlgorithm_12_equipment_0         = incomingCpaaAlgorithm_12_equipment_0.toString(),

        cpaaAlgorithm_13_notes               = incomingCpaaAlgorithm_13_notes.toString(),
        cpaaAlgorithm_13_recommendation_0    = incomingCpaaAlgorithm_13_recommendation_0.toString(),
        cpaaAlgorithm_13_recommendation_1    = incomingCpaaAlgorithm_13_recommendation_1.toString(),
        cpaaAlgorithm_13_equipment_0         = incomingCpaaAlgorithm_13_equipment_0.toString();

    app.constant('Constants',
        {
            questions: cpaaQuestions,
            algorithms: [
                {
                    id: 1,
                    name: 'Transfer To/From Seated Positions: Bed to Chair, Chair to Chair, Chair to Exam Table',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_1_notes,
                    flowChart: '_assets/images/algorithms/algorithm-1.jpg',
                    questions: [1, 2, 3, 7, 10, 11],
                    //  ------- spreadsheet answers --------
                    //  1     2    3       10    11        Recommendation
                    //  1B                                 1
                    //  1A    2B                           1
                    //  1A                 10C             1
                    //  1A    2C   3B                      1
                    //  1A    2C                 11B       1
                    //  1A         3B      10A             1
                    //  1A                 10A   11B       1
                    //  1A    2A           10B             2
                    //  1A    2C   3A/3C         11A/11C   3
                    //  1A         3A/3C   10A   11A/11C   3
                    //  ------------------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ------- spreadsheet answers --------
                            //  1A    2B                           1
                            //  1A                 10C             1
                            //  ------------------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A(2B.*|.*10C)$',
                            recommendation: 0
                        }, {
                            //  ------- spreadsheet answers --------
                            //  1A    2C   3B                      1
                            //  1A    2C                 11B       1
                            //  ------------------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C(3B.*|.*11B)$',
                            recommendation: 0
                        }, {
                            //  ------- spreadsheet answers --------
                            //  1A         3B      10A             1
                            //  1A                 10A   11B       1
                            //  ------------------------------------
                            id: [1, 3, 10, 11],
                            answerCriteria: '^1A(3B10A.*|.*10A11B)$',
                            recommendation: 0
                        }, {
                            //  ------- spreadsheet answers --------
                            //  1A    2A           10B             2
                            //  ------------------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A2A10B$',
                            recommendation: 1
                        }, {
                            //  ------- spreadsheet answers --------
                            //  1A    2C   3A/3C         11A/11C   3
                            //  1A         3A/3C   10A   11A/11C   3
                            //  ------------------------------------
                            id: [1, 2, 3, 10, 11],
                            answerCriteria: '^1A(2C(3A|3C).*(11A|11C)|.*(3A|3C)10A(11A|11C))$',
                            recommendation: 2
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_1_recommendation_0,
                            equipment: cpaaAlgorithm_1_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_1_recommendation_1,
                            equipment: cpaaAlgorithm_1_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_1_recommendation_2,
                            equipment: cpaaAlgorithm_1_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 2,
                    name: 'Lateral Transfer to/from Supine Positions: Bed, Stretcher, Trolley, Procedure Table',
                    bariatricFlag: false,
                    flowChart: '_assets/images/algorithms/algorithm-2.jpg',
                    notes: cpaaAlgorithm_2_notes,
                    questions: [1, 4, 7],
                    //  - spreadsheet answers -
                    //  1   4   Recommendation
                    //  1B      1
                    //  1A  4B  1
                    //  1A  4A  2
                    //  ------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  ---------
                            //  1B      1
                            //  ---------
                            id: [1, 4],
                            answerCriteria: '^1B.*$',
                            recommendation: 0
                        },
                        {
                            //  ---------
                            //  1A  4B  1
                            //  ---------
                            id: [1, 4],
                            answerCriteria: '^1A4B$',
                            recommendation: 0
                        }, {
                            //  ---------
                            //  1A  4A  2
                            //  ---------
                            id: [1, 4],
                            answerCriteria: '^1A4A$',
                            recommendation: 1
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_2_recommendation_0,
                            equipment: cpaaAlgorithm_2_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_2_recommendation_1,
                            equipment: cpaaAlgorithm_2_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 3,
                    name: 'Repositioning in Bed',
                    flowChart: '_assets/images/algorithms/algorithm-3.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_3_notes,
                    questions: [1, 5, 7],
                    //  - spreadsheet answers ---
                    //  1   5   Recommendation
                    //  1B      1
                    //  1A  5B  1
                    //  1A  5A  2
                    //  -------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  ---------
                            //  1B      1
                            //  ---------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ---------
                            //  1A  5B  1
                            //  ---------
                            id: [1, 5],
                            answerCriteria: '^1A5B$',
                            recommendation: 0
                        }, {
                            //  ---------
                            //  1A  5A  2
                            //  ---------
                            id: [1, 5],
                            answerCriteria: '^1A5A$',
                            recommendation: 1
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_3_recommendation_0,
                            equipment: cpaaAlgorithm_3_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_3_recommendation_1,
                            equipment: cpaaAlgorithm_3_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 4,
                    name: 'Reposition in Chair: Wheelchair, Dependency Chair or Other Chair',
                    bariatricFlag: false,
                    flowChart: '_assets/images/algorithms/algorithm-4.jpg',
                    notes: cpaaAlgorithm_4_notes,
                    questions: [1, 7, 16],
                    //  - spreadsheet answers ---
                    //  1    16    Recommendation
                    //  1B         1
                    //  1A   16B   1
                    //  1A   16A   2
                    //  1A   16C   3
                    //  -------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '7A',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1B         1
                            //  ------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A   16B   1
                            //  ------------
                            id: [1, 16],
                            answerCriteria: '^1A16B$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A   16A   2
                            //  ------------
                            id: [1, 16],
                            answerCriteria: '^1A16A$',
                            recommendation: 1
                        }, {
                            //  ------------
                            //  1A   16C   3
                            //  ------------
                            id: [1, 16],
                            answerCriteria: '^1A16C$',
                            recommendation: 2
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_4_recommendation_0,
                            equipment: cpaaAlgorithm_4_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_4_recommendation_1,
                            equipment: cpaaAlgorithm_4_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_4_recommendation_2,
                            equipment: cpaaAlgorithm_4_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 5,
                    name: 'Transport in Bed/Stretcher/Wheelchair',
                    bariatricFlag: false,
                    flowChart: '_assets/images/algorithms/algorithm-5.jpg',
                    notes: cpaaAlgorithm_5_notes,
                    questions: [1, 7],
                    //  - spreadsheet answers ---
                    //  1   7   Recommendation
                    //  1B      1
                    //  1A  7A  3
                    //  -------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '7A',
                            recommendation: 2
                        }, {
                            //  ------------
                            //  1B      1
                            //  ------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A  7B  2
                            //  ------------
                            id: [1, 7],
                            answerCriteria: '^1A7B$',
                            recommendation: 1
                        }, {
                            //  ------------
                            //  1A  7A  3
                            //  ------------
                            id: [1, 7],
                            answerCriteria: '^1A7A$',
                            recommendation: 2
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_5_recommendation_0,
                            equipment: cpaaAlgorithm_5_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_5_recommendation_1,
                            equipment: cpaaAlgorithm_5_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_5_recommendation_2,
                            equipment: cpaaAlgorithm_5_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 6,
                    name: 'Toileting',
                    flowChart: '_assets/images/algorithms/algorithm-6.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_6_notes,
                    questions: [1, 2, 3, 7, 10, 11],
                    //  ------------------------------
                    //  1   2   3      10   11       Recommendation
                    //  1B                           1
                    //  1A  2B                       1
                    //  1A             10C           1
                    //  1A  2C  3B                   1
                    //  1A  2C         10C           1
                    //  1A  2C              11B      1
                    //  1A      3B     10A           1
                    //  1A                  11B      1
                    //  1A  2A         10B           2
                    //  1A  2C  3A/3C       11A/11C  3
                    //  1A      3A/3C  10A  11A/11C  3
                    //  ------------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '7A',
                            recommendation: 0
                        }, {
                            //  ------------------------------
                            //  1B                           1
                            //  ------------------------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ------------------------------
                            //  1A  2B                       1
                            //  1A             10C           1
                            //  ------------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A(2B.*|.*10C)$',
                            recommendation: 0
                        }, {
                            //  ------------------------------
                            //  1A  2C  3B                   1
                            //  1A  2C         10C           1
                            //  1A  2C              11B      1
                            //  ------------------------------
                            id: [1, 2, 3, 10, 11],
                            answerCriteria: '^1A2C(3B.*|.*10C.*|.*11B)$',
                            recommendation: 0
                        }, {
                            //  ------------------------------
                            //  1A      3B     10A           1
                            //  1A                  11B      1
                            //  ------------------------------
                            id: [1, 3, 10, 11],
                            answerCriteria: '^1A(3B10A.*|.*11B)$',
                            recommendation: 0
                        }, {
                            //  ------------------------------
                            //  1A  2A         10B           2
                            //  ------------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A2A10B$',
                            recommendation: 1
                        }, {
                            //  ------------------------------
                            //  1A  2C  3A/3C       11A/11C  3
                            //  1A      3A/3C  10A  11A/11C  3
                            //  ------------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C3(A|C)11(A|C)$',
                            recommendation: 2
                        }, {
                            //  ------------------------------
                            //  1A  2C  3A/3C       11A/11C  3
                            //  1A      3A/3C  10A  11A/11C  3
                            //  ------------------------------
                            id: [1, 3, 10, 11],
                            answerCriteria: '^1A3(A|C)10A11(A|C)$',
                            recommendation: 2
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_6_recommendation_0,
                            equipment: cpaaAlgorithm_6_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_6_recommendation_1,
                            equipment: cpaaAlgorithm_6_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_6_recommendation_2,
                            equipment: cpaaAlgorithm_6_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 7,
                    name: 'Showering and Bathing',
                    flowChart: '_assets/images/algorithms/algorithm-7.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_7_notes,
                    questions: [1, 2, 3, 7, 10, 11],
                    algorithm: [
                        //  -------------------------------------
                        //  1     2     3       10     11       Recommendation
                        //  1B                                  1
                        //  1A    2B                            1
                        //  1A                  10C             1
                        //  1A    2C    3B                      1
                        //  1A    2C                   11B      1
                        //  1A          3B      10A             1
                        //  1A                  10A    11B      1
                        //  1A    2A            10B             2
                        //  1A    2C    3A/3C          11A/11C  3
                        //  1A          3A/3C   10A    11A/11C  3
                        //  -------------------------------------
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------
                            //  1B                                  1
                            //  -------------------------------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------
                            //  1A    2B                            1
                            //  1A                  10C             1
                            //  -------------------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A(2B.*|.*10C)$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------
                            //  1A    2C    3B                      1
                            //  1A    2C                   11B      1
                            //  -------------------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C(3B.*|.*11B)$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------
                            //  1A          3B      10A             1
                            //  1A                  10A    11B      1
                            //  -------------------------------------
                            id: [1, 3, 10, 11],
                            answerCriteria: '^1A(3B10A.*|.*10A11B)$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------
                            //  1A    2A            10B             2
                            //  -------------------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A2A10B$',
                            recommendation: 1
                        }, {
                            //  -------------------------------------
                            //  1A    2C    3A/3C          11A/11C  3
                            //  1A          3A/3C   10A    11A/11C  3
                            //  -------------------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C(3A|3C)(11A|11C)$',
                            recommendation: 2
                        }, {
                            //  -------------------------------------
                            //  1A    2C    3A/3C          11A/11C  3
                            //  1A          3A/3C   10A    11A/11C  3
                            //  -------------------------------------
                            id: [1, 3, 10, 11],
                            answerCriteria: '^1A(3A|3C)10A(11A|11C)$',
                            recommendation: 2
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_7_recommendation_0,
                            equipment: cpaaAlgorithm_7_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_7_recommendation_1,
                            equipment: cpaaAlgorithm_7_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_7_recommendation_2,
                            equipment: cpaaAlgorithm_7_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 8,
                    name: 'Floor/Fall Recovery',
                    flowChart: '_assets/images/algorithms/algorithm-8.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_8_notes,
                    questions: [1, 7, 8, 9, 13],
                    //  ----------------------
                    //  1    8    9    13    Recommendation
                    //       8A   9B         1
                    //  1B   8A   9A         2
                    //  1B   8B              2
                    //  1A   8A   9A   13B   2
                    //  1A   8B        13B   2
                    //  1A   8A   9A   13A   3
                    //  1A   8B        13A   3
                    //  ----------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            // 8 is Fall Gate
                            // Solo-check for 8C.
                            id: [8],
                            answerCriteria: '^8C$',
                            recommendation: 0
                        }, {
                            //  ----------------------
                            //       8A   9B         1
                            //  ----------------------
                            id: [8, 9],
                            answerCriteria: '^8A9B$',
                            recommendation: 0
                        }, {
                            //  ----------------------
                            //  1B   8A   9A         2
                            //  1B   8B              2
                            //  ----------------------
                            id: [1, 8, 9],
                            answerCriteria: '^1B(8B.*|8A9A)$',
                            recommendation: 1
                        }, {
                            //  ----------------------
                            //  1A   8A   9A   13B   2
                            //  1A   8B        13B   2
                            //  ----------------------
                            id: [1, 8, 9, 13],
                            answerCriteria: '^1A(8A9A13B|8B.*13B)$',
                            recommendation: 1
                        }, {
                            //  ----------------------
                            //  1A   8A   9A   13A   3
                            //  1A   8B        13A   3
                            //  ----------------------
                            id: [1, 8, 9, 13],
                            answerCriteria: '^1A(8A9A13A|8B.*13A)$',
                            recommendation: 2
                        }, {
                            //  ----------------------
                            //       8C   9C   13C   4
                            //  ----------------------
                            id: [8, 9, 13],
                            answerCriteria: '^.*8C9C13C$',
                            recommendation: 3
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_8_recommendation_0,
                            equipment: cpaaAlgorithm_8_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_8_recommendation_1,
                            equipment: cpaaAlgorithm_8_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_8_recommendation_2,
                            equipment: cpaaAlgorithm_8_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_8_recommendation_3,
                            equipment: cpaaAlgorithm_8_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                }, {
                    id: 9,
                    name: 'Transfer between Vehicle and Wheelchair, Powered Wheelchair, or Stretcher',
                    bariatricFlag: false,
                    flowChart: '_assets/images/algorithms/algorithm-9.jpg',
                    notes: cpaaAlgorithm_9_notes,
                    questions: [1, 2, 3, 7, 10, 11],
                    //  ----------------------------
                    //  1    2    3    10    11    Recommendation
                    //  1B                         1
                    //  1A   2B                    1
                    //  1A             10C         1
                    //  1A   2C   3B               1
                    //  1A   2C              11B   1
                    //  1A        3B   10A         1
                    //  1A             10A   11B   1
                    //  1A   2A        10B         2
                    //  1A   2C   3A         11A   3
                    //  1A   2C   3C         11A   3
                    //  1A        3A   10A   11A   3
                    //  1A   2C   3C         11C   4
                    //  1A        3C   10A   11C   4
                    //  ----------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  ----------------------------
                            //  1B                         1
                            //  ----------------------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ----------------------------
                            //  1A   2B                    1
                            //  1A        10C              1
                            //  ----------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A(2B.*|.*10C)$',
                            recommendation: 0
                        }, {
                            //  ----------------------------
                            //  1A   2C   3B               1
                            //  1A   2C              11B   1
                            //  ----------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C(3B.*|.*11B)$',
                            recommendation: 0
                        }, {
                            //  ----------------------------
                            //  1A        3B   10A         1
                            //  1A             10A   11B   1
                            //  ----------------------------
                            id: [1, 3, 10, 11],
                            answerCriteria: '^1A(3B10A.*|.*10A11B)$',
                            recommendation: 0
                        }, {
                            //  ----------------------------
                            //  1A   2A        10B         2
                            //  ----------------------------
                            id: [1, 2, 10],
                            answerCriteria: '^1A2A10B$',
                            recommendation: 1
                        }, {
                            //  ----------------------------
                            //  1A   2C   3A         11A   3
                            //  1A        3A   10A   11A   3
                            //  1A   2C   3C         11A   3
                            //  ----------------------------
                            id: [1, 2, 3, 10, 11],
                            answerCriteria: '^1A(2C3(A|C).*|.*3(A|C)10A)11A$',
                            recommendation: 2
                        }, {
                            //  ----------------------------
                            //  1A   2C   3C         11C   4
                            //  1A        3C   10A   11C   4
                            //  ----------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A(2C3C.*|.*3C10A)11C$',
                            recommendation: 3
                        }, {
                            //  ----------------------------
                            //  1A   2C   3A   10A   11C   4
                            //  1A   2C   3C   10A   11A   4
                            //  ----------------------------
                            id: [1, 2, 3, 10, 11],
                            answerCriteria: '^1A2C(3A10A11C|3C10A11A)$',
                            recommendation: 3
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_9_recommendation_0,
                            equipment: cpaaAlgorithm_9_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_9_recommendation_1,
                            equipment: cpaaAlgorithm_9_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_9_recommendation_2,
                            equipment: cpaaAlgorithm_9_equipment_0              // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_9_recommendation_3,
                            equipment: cpaaAlgorithm_9_equipment_0              // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 10,
                    name: 'Ambulation',
                    flowChart: '_assets/images/algorithms/algorithm-10.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_10_notes,
                    questions: [1, 2, 3, 7, 10, 11, 12, 17],
                    //  -------------------------------------------------------------
                    //  1   2   3       10    11        12                    17    Recommendation
                    //  1B                                                          1
                    //  1A  2B                                                      2
                    //  1A              10C                                         2
                    //  1A                                                    17B   2
                    //  1A  2A          10B             12F                   17A   3
                    //  1A  2A  3B      10B             12A/12B/12C/12D/12E   17A   4
                    //  1A  2A          10B   11B       12A/12B/12C/12D/12E   17A   4
                    //  1A  2C  3B                                                  4
                    //  1A  2C                11B                                   4
                    //  1A  2A  3A/3C   10B   11A/11C   12A/12B/12C/12D/12E   17A   5
                    //  1A  2C  3A/3C         11A/11C                               5
                    //  1A  2A  3B      10A                                   17A   4
                    //  1A  2A          10A   11B                             17A   4
                    //  1A  2A  3A/3C   10A   11A/11C                         17A   5
                    //  -------------------------------------------------------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------------------------------
                            //  1B                                                          1
                            //  -------------------------------------------------------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2B                                                      2
                            //  1A              10C                                         2
                            //  1A                                                    17B   2
                            //  -------------------------------------------------------------
                            id: [1, 2, 10, 17],
                            answerCriteria: '^1A(2B.*|.*10C.*|.*17B)$',
                            recommendation: 1
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2A          10B             12F                   17A   3
                            //  -------------------------------------------------------------
                            id: [1, 2, 10, 12, 17],
                            answerCriteria: '^1A2A10B12F17A$',
                            recommendation: 2
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2A  3B      10B             12A/12B/12C/12D/12E   17A   4
                            //  1A  2A          10B   11B       12A/12B/12C/12D/12E   17A   4
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 10, 11, 12, 17],
                            answerCriteria: '^1A2A(3B10B.*|.*10B11B)12(A|B|C|D|E).*17A$',
                            recommendation: 3
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2C  3B                                                  4
                            //  1A  2C                11B                                   4
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C(3B.*|.*11B)$',
                            recommendation: 3
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2A  3B      10A                                   17A   4
                            //  1A  2A          10A   11B                             17A   4
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 10, 11, 17],
                            answerCriteria: '^1A2A(3B10A.*17A|.*10A11B17A)$',
                            recommendation: 3
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2A  3A/3C   10A   11A/11C                         17A   5
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 10, 11, 17],
                            answerCriteria: '^1A2A3(A|C)10A11(A|C)17A$',
                            recommendation: 4
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2A  3A/3C   10B   11A/11C   12A/12B/12C/12D/12E   17A   5
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 10, 11, 12, 17],
                            answerCriteria: '^1A2A3(A|C)10B11(A|C)12(A|B|C|D|E).*17A$',
                            recommendation: 4
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2C  3A/3C         11A/11C                               5
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 11],
                            answerCriteria: '^1A2C3(A|C)11(A|C)$',
                            recommendation: 4
                        }, {
                            //  -------------------------------------------------------------
                            //  1A  2A  3A      10A   11A       12ABCDEF              17A   5
                            //  -------------------------------------------------------------
                            id: [1, 2, 3, 10, 11, 12, 17],
                            answerCriteria: '^1A2A3(A|C)10A11A12(.*)17A$',
                            recommendation: 4
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_10_recommendation_0,
                            equipment: cpaaAlgorithm_10_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_10_recommendation_1,
                            equipment: cpaaAlgorithm_10_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_10_recommendation_2,
                            equipment: cpaaAlgorithm_10_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_10_recommendation_3,
                            equipment: cpaaAlgorithm_10_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_10_recommendation_4,
                            equipment: cpaaAlgorithm_10_equipment_0             // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 11,
                    name: 'Patient Handling Task Requiring Lifting of Extremities',
                    flowChart: '_assets/images/algorithms/algorithm-11.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_11_notes,
                    questions: [1, 6, 7],
                    //  ------------
                    //  1    6     Recommendation
                    //  1B         1
                    //  1A   6B    1
                    //  1A   6A    2
                    //  ------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1B         1
                            //  ------------
                            id: [1],
                            answerCriteria: '^1B$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A   6B    1
                            //  ------------
                            id: [1, 6],
                            answerCriteria: '^1A6B$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A   6A    2
                            //  ------------
                            id: [1, 6],
                            answerCriteria: '^1A6A$',
                            recommendation: 1
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_11_recommendation_0,
                            equipment: cpaaAlgorithm_11_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_11_recommendation_1,
                            equipment: cpaaAlgorithm_11_equipment_0             // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 12,
                    name: 'Bariatric Patient Handling Task Requiring Access to Abdominal Area',
                    flowChart: '_assets/images/algorithms/algorithm-12.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_12_notes,
                    questions: [1, 7, 14],
                    //  ------------
                    //  1    14    Recommendation
                    //  1B         1
                    //  1A   14B   1
                    //  1A   14A   2
                    //  ------------
                    algorithm: [
                        {
                            // 7 is always standalone first check.
                            // For Bariatric only; we ignore any found solution
                            // for solo-check of 7.
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1B         1
                            //  1A   14B   1
                            //  ------------
                            id: [1, 14],
                            answerCriteria: '^(1B.*|1A14B)$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A   14A   2
                            //  ------------
                            id: [1, 14],
                            answerCriteria: '^1A14A$',
                            recommendation: 1
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_12_recommendation_0,
                            equipment: cpaaAlgorithm_12_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_12_recommendation_1,
                            equipment: cpaaAlgorithm_12_equipment_0             // All recommendation equipment is same.
                        }
                    ]
                },
                {
                    id: 13,
                    name: 'Bariatric Patient Handling Task Requiring Access to Perineal Area',
                    flowChart: '_assets/images/algorithms/algorithm-13.jpg',
                    bariatricFlag: false,
                    notes: cpaaAlgorithm_13_notes,
                    questions: [1, 7, 15],
                    //  ------------
                    //  1    15    Recommendation
                    //  1B         1
                    //  1A   15B   1
                    //  1A   15A   2
                    //  ------------
                    algorithm: [
                        {
                            id: [7],
                            answerCriteria: '^7A$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1B         1
                            //  1A   15B   1
                            //  ------------
                            id: [1, 15],
                            answerCriteria: '^(1B.*|1A15B)$',
                            recommendation: 0
                        }, {
                            //  ------------
                            //  1A   15A   2
                            //  ------------
                            id: [1, 15],
                            answerCriteria: '^1A15A$',
                            recommendation: 1
                        }
                    ],
                    solution: [
                        {
                            recommendation: cpaaAlgorithm_13_recommendation_0,
                            equipment: cpaaAlgorithm_13_equipment_0             // All recommendation equipment is same.
                        }, {
                            recommendation: cpaaAlgorithm_13_recommendation_1,
                            equipment: cpaaAlgorithm_13_equipment_0             // All recommendation equipment is same.
                        }
                    ]
                }
            ]
        });
});
