define(['app', 'HomeController'], function (app) {
	"use strict";

	app.config(function ($stateProvider, $urlRouterProvider) {
		$urlRouterProvider.otherwise(function ($injector) {
			var $state = $injector.get('$state');
			$state.go('main.home');
		});
		$stateProvider
			.state('main.home', {
				url: '/home',
				controller: 'HomeController',
				templateUrl: 'src/modules/home/pages/home_template.html',
				appNavIndex: 1,
				data: {
					appletName: "Home",
					headerTitle: "Safe Patient Handling"
				}
			});
	});
});