/*jslint node: true, unparam: true */
/*global constant: true */

define([
    'angular',
    'app',
    'text!modules/resources/core/constants/aorn_resource.html',
    'text!modules/resources/core/constants/naon_resource.html',
    'text!modules/resources/core/constants/websites_resource.html',
    'text!modules/resources/core/constants/glossary_resource.html',
    'text!modules/resources/core/constants/kits_resource.html',
    'text!modules/resources/core/constants/guides_resource.html'

], function (angular,
             app,
             incomingAorn,
             incomingNaon,
             incomingWebsites,
             incomingGlossary,
             incomingKits,
             incomingGuides) {
    'use strict';

    var aornResource = incomingAorn.toString(),
        naonResource = incomingNaon.toString(),
        websitesResource = incomingWebsites.toString(),
        glossaryResource = incomingGlossary.toString(),
        kitsResource = incomingKits.toString(),
        guidesResource = incomingGuides.toString();

    app.constant('ResourcesConstants',
        {
            resources: {
                aorn: aornResource,
                naon: naonResource,
                websites: websitesResource,
                glossary: glossaryResource,
                kits: kitsResource,
                guides: guidesResource
            },
        }
    );
});
