/*jslint node: true */
/*global define */

define([
    'app',
    'ResourcesController',
    'ResourcesConstants'
], function (app, ResourcesController, ResourcesConstants) {
    "use strict";

    app.config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('main.resources', {
                url: '/resources',
                controller: 'ResourcesController',
                templateUrl: 'src/modules/resources/pages/resources_template.html',
                data: {
                    appletName: "Resources",
                    headerTitle: "Safe Patient Handling"
                }
            });
    });
});